/// <reference types="react" />
import { FormState, FormSubmitHandler, FormValidation, FormValidationState, MyChangeEvent, MyFocusEvent } from "./models";
export declare function useForm<TFieldValues extends Record<string, any>>(initialForm?: FormState<TFieldValues>, formValidations?: FormValidation): {
    formState: FormState<TFieldValues>;
    setFormState: import("react").Dispatch<import("react").SetStateAction<FormState<TFieldValues>>>;
    onInputChange: (event: MyChangeEvent) => void;
    onResetForm: () => void;
    formValidation: FormValidationState;
    isFormValid: boolean;
    handleSubmit: (onSubmit: FormSubmitHandler<TFieldValues>) => (event: React.FormEvent) => Promise<void>;
    isSubmitted: boolean;
    onBlur: (event: MyFocusEvent) => void;
    touchedFields: Set<string>;
    subscribe: (fn: Function) => () => boolean;
};
